Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Class TransformException

    Object
      Throwable
          Exception
              TransformException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NoninvertibleTransformException

    public class TransformException

extends Exception

Common superclass for a number of transformation-related exceptions. `TransformException` are thrown by `MathTransform` when a coordinate transformation can't be inverted (`NoninvertibleTransformException`), when the derivative can't be computed or when a coordinate can't be transformed. It is also thrown when `CoordinateOperationFactory` fails to find a path between two coordinate reference systems.

Since:
  GeoAPI 1.0
See Also:
  Serialized Form

Constructor Summary
`TransformException()` Construct an exception with no detail message.
`TransformException(String message)` Construct an exception with the specified detail message.
`TransformException(String message, Throwable cause)` Construct an exception with the specified detail message and cause.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformException

    public TransformException()

  Construct an exception with no detail message.

### TransformException

    public TransformException(String message)

  Construct an exception with the specified detail message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### TransformException

    public TransformException(String message,
                              Throwable cause)

  Construct an exception with the specified detail message and cause.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - The cause for this exception. The cause is saved for later retrieval by the `Throwable.getCause()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.